Endpoints for email verification
This endpoint performs bulk credential issuance based on the valid email addresses.
Authorizations
x-api-keystringRequired
Body
Responses
200
Email verification successful
application/json
emailsSuccessstring[]Optional
emailsFailurestring[]Optional
invalidEmailsstring[]Optional
400
Bad Request
application/json
401
Unauthorized.
500
Internal Server Error
application/json
post/api/v1/emails/verify
POST /api/v1/emails/verify HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 1026
{
"emails": [
{
"email": "no_reply@indiciotech.io",
"schema_id": "E8BS9Fcg3cu2m9Dwaa3hVG:2:Email:1.0",
"time_to_accept": 518400000,
"attributes": [
{
"name": "address",
"value": "your address here"
},
{
"name": "domain",
"value": "your domain here"
},
{
"name": "verified_at",
"value": "your timestamp verified_at here"
},
{
"name": "local_part",
"value": "your local_part here"
}
]
},
{
"email": "no_reply@indiciotech.io",
"schema_id": "KT4LtL7HEMePqQSyKVof7g:2:Bad_schema:0.0",
"time_to_accept": 518400000,
"attributes": [
{
"name": "address",
"value": "your address here"
},
{
"name": "domain",
"value": "your domain here"
},
{
"name": "verified_at",
"value": "your timestamp verified_at here"
},
{
"name": "local_part",
"value": "your local_part here"
}
]
},
{
"email": "email#with-errors.com",
"schema_id": "E8BS9Fcg3cu2m9Dwaa3hVG:2:Email:1.0",
"time_to_accept": 518400000,
"attributes": [
{
"name": "address",
"value": "your address here"
},
{
"name": "domain",
"value": "your domain here"
},
{
"name": "verified_at",
"value": "your timestamp verified_at here"
},
{
"name": "local_part",
"value": "your local_part here"
}
]
}
]
}{
"emailsSuccess": [
"text"
],
"emailsFailure": [
"text"
],
"invalidEmails": [
"text"
]
}Last updated